[MIR] libtextcat

Bug #589994 reported by Chris Cheney on 2010-06-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libtextcat (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Rationale: Needed by openoffice.org 3.2.1 uploaded today.

I checked and did not see any problems with respect to UbuntuMainInclusionRequirements.

Alexander Sack (asac) on 2010-06-07
Changed in libtextcat (Ubuntu):
assignee: nobody → Matthias Klose (doko)
Matthias Klose (doko) wrote :

- download location is outdated
- last upstream release 2003, is this still maintained upstream?
- the install/libtextcat-data-utf8 target ignores errors from iconv, this should be fixed

Changed in libtextcat (Ubuntu):
assignee: Matthias Klose (doko) → nobody
status: New → Incomplete
Matthias Klose (doko) wrote :

- does the createfp have to be in main?

Chris Cheney (ccheney) wrote :

I examined the OOo source and did not see it reference the createfp program so I don't think it is using it. I can update the packaging to resolve points 1 and 3. It hasn't been updated in a while as you mention and so I have emailed the author to find out its status.

Chris Cheney (ccheney) wrote :

Well so far no response from upstream after 5 days so I think they may no longer be maintaining it. I think I will just have our OOo use the internal copy at least until such time that official OOo decides to split up their source (maybe never).

Martin Pitt (pitti) wrote :

Promoting for now to allow it to build, but it seems that this dependency should be dropped again?

Changed in libtextcat (Ubuntu Maverick):
assignee: nobody → Chris Cheney (ccheney)
assignee: Chris Cheney (ccheney) → nobody
milestone: none → ubuntu-10.10-beta
assignee: nobody → Chris Cheney (ccheney)
Chris Cheney (ccheney) on 2010-08-23
Changed in libtextcat (Ubuntu Maverick):
assignee: Chris Cheney (ccheney) → nobody
Matthias Klose (doko) wrote :

> - download location is outdated
> - the install/libtextcat-data-utf8 target ignores errors from iconv, this should be fixed

fixed now in natty

> - last upstream release 2003, is this still maintained upstream?

still "unmaintained", however the library seems to be small enough, and only implements one algorithm.

Changed in libtextcat (Ubuntu):
status: Incomplete → New
Changed in libtextcat (Ubuntu Maverick):
status: Incomplete → Won't Fix
Changed in libtextcat (Ubuntu):
milestone: ubuntu-10.10-beta → natty-alpha-2
Alexander Sack (asac) wrote :

I dont get why this is suddely relevant again. can you update the rational?

also two things:

1. no symbol tracking

2. also one build warning that would be nice to be fixed:
gcc -DHAVE_CONFIG_H -I. -I. -I. -DVERBOSE -W -Wall -Wshadow -Wpointer-arith -g -O3 -funroll-loops -D_THREAD_SAFE -D_GNU_SOURCE -g -O2 -g -O2 -c wg_mempool.c -fPIC -DPIC -o .libs/wg_mempool.lo
wg_mempool.c: In function 'wgmempool_getline':
wg_mempool.c:230:14: warning: ignoring return value of 'fgets', declared with attribute warn_unused_result

Matthias Klose (doko) wrote :

2011-01-20 09:49:30 INFO Override Component to: 'main'
2011-01-20 09:49:39 INFO 'libtextcat-data-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/amd64
2011-01-20 09:49:39 INFO 'libtextcat-data-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/armel
2011-01-20 09:49:39 INFO 'libtextcat-data-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/i386
2011-01-20 09:49:39 INFO 'libtextcat-data-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/powerpc
2011-01-20 09:49:40 INFO 'libtextcat-data-utf8-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/amd64
2011-01-20 09:49:40 INFO 'libtextcat-data-utf8-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/armel
2011-01-20 09:49:40 INFO 'libtextcat-data-utf8-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/i386
2011-01-20 09:49:40 INFO 'libtextcat-data-utf8-2.2-5ubuntu1/universe/text/OPTIONAL' binary overridden in natty/powerpc
2011-01-20 09:49:40 INFO 'libtextcat-dev-2.2-5ubuntu1/universe/libdevel/OPTIONAL' binary overridden in natty/amd64
2011-01-20 09:49:40 INFO 'libtextcat-dev-2.2-5ubuntu1/universe/libdevel/OPTIONAL' binary overridden in natty/armel
2011-01-20 09:49:40 INFO 'libtextcat-dev-2.2-5ubuntu1/universe/libdevel/OPTIONAL' binary overridden in natty/i386
2011-01-20 09:49:40 INFO 'libtextcat-dev-2.2-5ubuntu1/universe/libdevel/OPTIONAL' binary overridden in natty/powerpc
2011-01-20 09:49:40 INFO 'libtextcat0-2.2-5ubuntu1/universe/libs/OPTIONAL' binary overridden in natty/amd64
2011-01-20 09:49:40 INFO 'libtextcat0-2.2-5ubuntu1/universe/libs/OPTIONAL' binary overridden in natty/armel
2011-01-20 09:49:40 INFO 'libtextcat0-2.2-5ubuntu1/universe/libs/OPTIONAL' binary overridden in natty/i386
2011-01-20 09:49:40 INFO 'libtextcat0-2.2-5ubuntu1/universe/libs/OPTIONAL' binary overridden in natty/powerpc

Changed in libtextcat (Ubuntu):
status: New → Fix Released
Alexander Sack (asac) wrote :

thats not answering my question ... but ok.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers